### Method

# Ide Page get_file_or_directory

#### Declaration

    GFile*
    ide_page_get_file_or_directory (
      IdePage* self
    )

#### Description

Gets a `GFile` representing a file or directory that best maps to this page. A terminal might use the current working directory while an editor or designer might use the backing file.

Available since: | 3.40

#### Return value

Returns: | `GFile`
| A `GFile` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.